
# pySisnoAPI

[![MIT License](https://img.shields.io/badge/License-MIT-green.svg)](https://choosealicense.com/licenses/mit/)
[![Python 3.11](https://img.shields.io/badge/Python-3.11-blue)](https://www.python.org/downloads/release/python-311/)


**pySisnoAPI** é uma biblioteca Python que facilita o consumo da API do SISNO para emissão de Nota Fiscal Eletrônica (NFe) e Nota Fiscal de Serviços Eletrônica (NFSe) no Brasil. A biblioteca fornece classes, funções e endpoints para interagir com a API do SISNO de forma simples e eficiente.

## Características  
- Suporte para emissão de NFe para todos os estados brasileiros.
- Suporte para emissão de NFSe exclusivamente para o Distrito Federal.
- Classes e funções intuitivas para facilitar a integração com a API do SISNO.
- Manipulação simplificada de dados de NFe e NFSe.
- Tratamento de erros e exceções comuns.
- Testes unitários abrangentes para garantir a estabilidade e qualidade do código.

## Requisitos
- Python 3.11 ou superior.
- Chave de API do SISNO.

## Instalação
Para instalar a biblioteca pySisnoAPI, execute o seguinte comando:
```
pip install pysisnoapi
```

## Contribuição
Contribuições são bem-vindas! Se você deseja contribuir para o projeto, siga as etapas abaixo:

- Faça um fork do repositório.
- Crie uma branch para a sua feature (`git checkout -b minha-feature`).
- Implemente suas alterações.
- Execute os testes unitários (`python -m unittest discover`).
- Certifique-se de que todos os testes estão passando.
- Faça o commit das suas alterações (`git commit -am 'Adiciona minha feature'`).
- Envie a sua branch para o repositório remoto (`git push origin minha-feature`).
- Abra um pull request.

## Licença
Este projeto está licenciado sob a Licença MIT. Consulte o arquivo LICENSE para obter mais informações.
